SDL_GetJoystickSerial(3)

NAME
SDL_GetJoystickSerial - Get the serial number of an opened joystick, if available.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

const char * SDL_GetJoystickSerial(SDL_Joystick *joystick);

DESCRIPTION
Returns the serial number of the joystick, or NULL if it is not available.

FUNCTION PARAMETERS

joystick
    the SDL_Joystick obtained from SDL_OpenJoystick().

RETURN VALUE
Returns the serial number of the selected joystick, or NULL if unavailable.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.